glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Glib::Value< Glib::ustring > Class Template Reference
Generic Values

Specialization for UTF-8 strings. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::ustring >:
[legend]

List of all members.

## Public Types
typedef Glib::ustring | CppType
## Public Member Functions
void | set (const Glib::ustring& data)
Glib::ustring | get () const

## Detailed Description

### template<>
class Glib::Value< Glib::ustring >

Specialization for UTF-8 strings.

## Member Typedef Documentation

typedef Glib::ustring Glib::Value< Glib::ustring >::CppType

## Member Function Documentation

Glib::ustring Glib::Value< Glib::ustring >::get | ( |  | ) | const`[inline]`

void Glib::Value< Glib::ustring >::set | ( | const Glib::ustring& | data | ) |